View Javadoc

    1   /*
    2    * $Id: MetaExpandoProperty.java,v 1.2 2005/06/10 09:55:28 cstein Exp $
    3    *
    4    * Copyright 2004 (C) James Strachan and Bob Mcwhirter. All Rights Reserved.
    5    *
    6    * Redistribution and use of this software and associated documentation
    7    * ("Software"), with or without modification, are permitted provided that the
    8    * following conditions are met:
    9    *  1. Redistributions of source code must retain copyright statements and
    10   * notices. Redistributions must also contain a copy of this document.
    11   *  2. Redistributions in binary form must reproduce the above copyright
    12   * notice, this list of conditions and the following disclaimer in the
    13   * documentation and/or other materials provided with the distribution.
    14   *  3. The name "groovy" must not be used to endorse or promote products
    15   * derived from this Software without prior written permission of The Codehaus.
    16   * For written permission, please contact info@codehaus.org.
    17   *  4. Products derived from this Software may not be called "groovy" nor may
    18   * "groovy" appear in their names without prior written permission of The
    19   * Codehaus. "groovy" is a registered trademark of The Codehaus.
    20   *  5. Due credit should be given to The Codehaus - http://groovy.codehaus.org/
    21   *
    22   * THIS SOFTWARE IS PROVIDED BY THE CODEHAUS AND CONTRIBUTORS ``AS IS'' AND ANY
    23   * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
    24   * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
    25   * DISCLAIMED. IN NO EVENT SHALL THE CODEHAUS OR ITS CONTRIBUTORS BE LIABLE FOR
    26   * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
    27   * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
    28   * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
    29   * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
    30   * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
    31   * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
    32   * DAMAGE.
    33   *
    34   */
    35
    36  package groovy.lang;
    37
    38  import java.util.Map.Entry;
    39
    40  /***
    41   * Represents a property in an Expando object
    42   *
    43   * @author John Stump
    44   * @version $Revision: 1.2 $
    45   */
    46  public class MetaExpandoProperty extends MetaProperty {
    47
    48  	Object value = null;
    49
    50      public MetaExpandoProperty(Entry entry) {
    51  		super((String) entry.getKey(), Object.class);
    52
    53  		value = entry.getValue();
    54      }
    55
    56      /***
    57       * @return the property of the given object
    58       * @throws Exception if the property could not be evaluated
    59       */
    60      public Object getProperty(Object object) throws Exception {
    61  		return value;
    62  	}
    63
    64      /***
    65       * Sets the property on the given object to the new value
    66       *
    67       * @param object on which to set the property
    68       * @param newValue the new value of the property
    69       * @throws Exception if the property could not be set
    70       */
    71      public void setProperty(Object object, Object newValue) {
    72  		value = newValue;
    73  	}
    74  }